Subject: RE: Difficulty about IPv4 Prefix in Explicit route Object in RSVP -TE

From: Eyad Saheb <[email-masked]>
Date: Mon, 4 Dec 2000 10:18:37 -0500

I have to agree.  RSVP-TE has already escaped from the labs and is
implemented in its current form by several vendors.  Any change now would
likely be met by some resistance (of course the vendors should've known
about this when they released software based on a draft...).

Eyad

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Eric
Osborne
Sent: Thursday, November 30, 2000 7:55 PM
To: Guangzhi Li
Cc: Gaitonde Anandprasanna; Eric Gray; [email-masked]
Subject: Re: Difficulty about IPv4 Prefix in Explicit route Object in
RSVP-TE

I can't speak from an implementation standpoint, but I see little
reason to change this.  It may make things a little easier to code,
but then you have to figure out how to be interoperable with all the
existing implementations that are deployed already.  It seems to me
that you'd have to find some way to be backward-compatabile, as well
as deal with all the implementations that would behave poorly
(possibly crash, etc) because they misinterpreted the new ERO format.

Again, I'm not one to make a decision one way or the other about
whether this gets done or not, but if I ran the world I'd have to come 
out against this idea.

eric

On Thu, Nov 30, 2000 at 04:04:20PM -0500, Guangzhi Li wrote:
> Hi, all:
> 
> I asked this question several times. Only Eric Gray gave one reason.
> 
> Thanks for the suggestion. Lots of implementations are going on. Can we
change it
> now? Our future life will be much easier.
> 
> Putting IPv4 and IPv6 at the end will make implementation easy and few
bugoses.
> 
> How many people will support this ?? Thanks.
> 
> -- Guangzhi
> 
> Gaitonde Anandprasanna wrote:
> 
> > Thanks for replying.
> >
> >    But i think if we have the IPV4 prefix at the end then it is much
> > easier for implementation.
> >
> > So cant we change it now???
> >
> > Pras
> >
> > On Thu, 30 Nov 2000, Eric Gray wrote:
> >
> > > As I recall, the reason for this was that there was
> > > an existing implementation that did it this way.  In
> > > some models of the Universe, no further justification
> > > is required. :-)
> > >
> > > --
> > > Eric Gray
> > >
> > > Gaitonde Anandprasanna wrote:
> > >
> > > > I am sorry to repost this question but i am reallly interested in
knowing
> > > > this .
> > > >
> > > > If the question i asked is correct then also let me know if in
subsequent
> > > > drafts we can change the format of ERO subobject  (i.e. putting the
IPv4
> > > > address at the end of the object.)
> > > >
> > > > Here is my previous mail :-
> > > >
> > > > This question was asked by some person earlier but somehow i did not
see
> > > > the answers in the mailing lists. If i have missed the answer then
please
> > > > provide pointers to mail archives.
> > > >
> > > > I wanted to know why the format of the IPv4 Prefix is that way:
> > > >
> > > >  RSVP ERO subobject IPv4 address:-
> > > >
> > > >  In RSVP-TE, the format of subobject 1: IPv4 address (4.4.1.1) is
> > > >
> > > > 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
> > > >            Type | Length | IPv4 address
> > > > -----------------------------------------------------------------
> > > >         IPv4 address | Prefix Length | Flags
> > > > ------------------------------------------------------------------
> > > >
> > > > Can somebody explain to me: What is the advantage to split the IPv4
> > > > address in two words? From the
> > > > implementation point of view, it should be much easy to put IPv4
address
> > > > in a single word.
> > > > Thanx in advance
> > > > Pras